Subject: Re: bug#19829: 25.0.50; query-replace in rectangle regions do not honor boundaries

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Feb 2015 16:29:52 -0500

> This is true generally, but query-replace is a very special command.
> It already does many unorthodox things like putting markers on
> region boundaries, and then deactivating the mark.  What is more,
> it needs to use rectangle boundaries in isearch-filter-predicate,
> so lazy-highlight will match only strings it's going to replace.

I don't see how that's relevant: always calling
extract-rectangle-position should simply work (the normal region is just
a degenerate form of a special region, which has only one span), at
least as long as the rectangle case works correctly.

        Stefan